%ifndef SNEeSe_cycles_i
%define SNEeSe_cycles_i

%define CYCLES_PER_DOT 4
%define DOTS_PER_SCANLINE 342
%define DOTS_IN_REFRESH 10
%define DOTS_BEFORE_DISPLAY 22
%define DOTS_BEFORE_REFRESH 128
%define DOTS_IN_DISPLAY 256
%define DOTS_HBLANK_START (DOTS_BEFORE_DISPLAY + DOTS_IN_DISPLAY)

%define CYCLES_NEW_SCANLINE ((DOTS_PER_SCANLINE - DOTS_IN_REFRESH) * CYCLES_PER_DOT)
%define CYCLES_DISPLAY_START (DOTS_BEFORE_DISPLAY * CYCLES_PER_DOT)
%define CYCLES_HBLANK_START ((DOTS_HBLANK_START - DOTS_IN_REFRESH) * CYCLES_PER_DOT)

%define CYCLES_NMI_DELAY 19
%define CYCLES_REFRESH_START (DOTS_BEFORE_REFRESH * CYCLES_PER_DOT)
%define CYCLES_IN_REFRESH (DOTS_IN_REFRESH * CYCLES_PER_DOT)
%define CYCLES_REFRESH_END ((DOTS_BEFORE_REFRESH + DOTS_IN_REFRESH) * CYCLES_PER_DOT)

%endif ; SNEeSe_cycles_i
